## org.apache.commons.math.distribution
Class WeibullDistributionImpl

    java.lang.Object
      org.apache.commons.math.distribution.AbstractDistribution
          org.apache.commons.math.distribution.AbstractContinuousDistribution
              org.apache.commons.math.distribution.WeibullDistributionImpl

All Implemented Interfaces:
  java.io.Serializable, ContinuousDistribution, Distribution, WeibullDistribution

    public class WeibullDistributionImpl

extends AbstractContinuousDistribution
implements WeibullDistribution, java.io.Serializable

Default implementation of `WeibullDistribution`.

Since:
  1.1
Version:
  $Revision: 772119 $ $Date: 2009-05-06 05:43:28 -0400 (Wed, 06 May 2009) $
See Also:
  Serialized Form

Field Summary
`private double` `alpha` The shape parameter.
`private double` `beta` The scale parameter.
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`WeibullDistributionImpl(double alpha, double beta)` Creates weibull distribution with the given shape and scale and a location equal to zero.

Method Summary
`double` `cumulativeProbability(double x)` For this distribution, X, this method returns P(X < `x`).
`protected double` `getDomainLowerBound(double p)` Access the domain value lower bound, based on `p`, used to bracket a CDF root.
`protected double` `getDomainUpperBound(double p)` Access the domain value upper bound, based on `p`, used to bracket a CDF root.
`protected double` `getInitialDomain(double p)` Access the initial domain value, based on `p`, used to bracket a CDF root.
`double` `getScale()` Access the scale parameter.
`double` `getShape()` Access the shape parameter.
`double` `inverseCumulativeProbability(double p)` For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.
`void` `setScale(double beta)` Modify the scale parameter.
`void` `setShape(double alpha)` Modify the shape parameter.

Methods inherited from class org.apache.commons.math.distribution.AbstractDistribution
`cumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

### alpha

    private double alpha

  The shape parameter.

### beta

    private double beta

  The scale parameter.

Constructor Detail

### WeibullDistributionImpl

    public WeibullDistributionImpl(double alpha,
                                   double beta)

  Creates weibull distribution with the given shape and scale and a location equal to zero.

  Parameters:
    `alpha` - the shape parameter.
    `beta` - the scale parameter.

Method Detail

### cumulativeProbability

    public double cumulativeProbability(double x)

  For this distribution, X, this method returns P(X < `x`).

  Specified by:
    `cumulativeProbability` in interface `Distribution`
  Parameters:
    `x` - the value at which the CDF is evaluated.
  Returns:
    CDF evaluted at `x`.

### getShape

    public double getShape()

  Access the shape parameter.

  Specified by:
    `getShape` in interface `WeibullDistribution`
  Returns:
    the shape parameter.

### getScale

    public double getScale()

  Access the scale parameter.

  Specified by:
    `getScale` in interface `WeibullDistribution`
  Returns:
    the scale parameter.

### inverseCumulativeProbability

    public double inverseCumulativeProbability(double p)

  For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.

  Returns `Double.NEGATIVE_INFINITY` for p=0 and `Double.POSITIVE_INFINITY` for p=1.

  Specified by:
    `inverseCumulativeProbability` in interface `ContinuousDistribution`
  Overrides:
    `inverseCumulativeProbability` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability
  Returns:
    x, such that P(X < x) = `p`
  Throws:
    `java.lang.IllegalArgumentException` - if `p` is not a valid probability.

### setShape

    public void setShape(double alpha)

  Modify the shape parameter.

  Specified by:
    `setShape` in interface `WeibullDistribution`
  Parameters:
    `alpha` - the new shape parameter value.

### setScale

    public void setScale(double beta)

  Modify the scale parameter.

  Specified by:
    `setScale` in interface `WeibullDistribution`
  Parameters:
    `beta` - the new scale parameter value.

### getDomainLowerBound

    protected double getDomainLowerBound(double p)

  Access the domain value lower bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainLowerBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value lower bound, i.e. P(X < lower bound) < `p`

### getDomainUpperBound

    protected double getDomainUpperBound(double p)

  Access the domain value upper bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainUpperBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value upper bound, i.e. P(X < upper bound) > `p`

### getInitialDomain

    protected double getInitialDomain(double p)

  Access the initial domain value, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getInitialDomain` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    initial domain value

Copyright (c) 2003-2010 Apache Software Foundation